wxpython3.0 (3.0.2.0+dfsg-6) unstable; urgency=medium

  * Add patch to fix wxcairo for pycairo 1.11.1+ (Closes: #884411)

 -- Scott Talbert <swt@techie.net>  Sat, 16 Dec 2017 22:33:43 -0500

wxpython3.0 (3.0.2.0+dfsg-5) unstable; urgency=medium

  * debian/patches/ed88188be7e97a0503f3471f7b0452740b732902.patch:
    Drop pointless patch - it's to a bundled copy of the wxWidgets sources
    which we don't use in the Debian package.
  * Disable binary package python-wxgtk-webview3.0. (Closes: #876789)

 -- Olly Betts <olly@survex.com>  Tue, 26 Sep 2017 13:06:44 +1300

wxpython3.0 (3.0.2.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/ed88188be7e97a0503f3471f7b0452740b732902.patch:
    - fix for upstream issue breaking poedit2 package (Closes: #860043).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Apr 2017 18:38:43 +0200

wxpython3.0 (3.0.2.0+dfsg-3) unstable; urgency=medium

  * Add myself to Uploaders.
  * Add patch to fix wx.lib.plot (LP: #1545698)

 -- Scott Talbert <swt@techie.net>  Mon, 18 Jul 2016 20:21:42 -0400

wxpython3.0 (3.0.2.0+dfsg-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Add binary package python-wxgtk-webview3.0 for wx.html2.
    (Closes: #821934, LP: #1388847)

  [ Olly Betts ]
  * Restore "Suggests: wx3.0-doc" as wx3.0-doc now exists.
  * debian/control: "Standards-Version: 3.9.8" - changes for conformance:
    + debian/python-wxtools.menu: Remove obsolete menu file.
  * debian/control: Give secure https URL for anon git access.

 -- Olly Betts <olly@survex.com>  Mon, 02 May 2016 11:03:40 +1200

wxpython3.0 (3.0.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release:
    + Drop the following patches which have been applied upstream:
      - fix-path-to-some-interpreters.patch
      - wxpython-=-should-be-==.patch
    + Update the following patches which have been partly applied upstream:
      - wxpython3.0-eliminate-string-exceptions.patch
  * debian/README.Debian: python-wxtools and python-wxversion are now built
    from the wxpython3.0 source package.
  * Use the .desktop files from wxPython rather than our own.

 -- Olly Betts <olly@survex.com>  Fri, 22 May 2015 17:49:52 +1200

wxpython3.0 (3.0.1.1+dfsg-2) unstable; urgency=low

  * Disable patch img2py-no-display.patch as it breaks handling of any format
    except PNG.
  * debian/control: "Standards-Version: 3.9.6" - no changes required.
  * New patch pypubsub-for-taskcoach.patch so taskcoach can avoid tightly
    versioned dependency on us (see #762413).

 -- Olly Betts <olly@survex.com>  Tue, 21 Oct 2014 13:08:47 +1300

wxpython3.0 (3.0.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release:
    + Fixed "wxPyXmlSubclassFactory, no destructor found." error.
    + Fixed "wxPyHtmlWinTagHandler, no destructor found." error.
    + Some Pubsub updates.
    + Includes the newest code from AGW and FloatCanvas.
    + Update img2py-no-display.patch for upstream changes to the code.
  * Fix lintian warning about old FSF address by removing unused code under
    the "wxActiveX Library Licence, Version 3" when we repack.
    + Update wxpython-missing-format-strings.patch not to patch files now
      removed in the repack.

 -- Olly Betts <olly@survex.com>  Wed, 17 Sep 2014 15:18:18 +1200

wxpython3.0 (3.0.0.0+dfsg-4) unstable; urgency=medium

  * Fix python-wxversion to include wx.pth as a symlink so that 'import wx'
    works when python-wxgtk2.8 is installed but python-wxgtk3.0 isn't.
    (Closes: #758209)
  * New binary package python-gtk-media3.0 for wx.media.  (Closes: #722687)

 -- Olly Betts <olly@survex.com>  Sun, 17 Aug 2014 23:00:56 +1200

wxpython3.0 (3.0.0.0+dfsg-3) unstable; urgency=medium

  * debian/control: Build python-wxtools and python-wxversion packages
    instead of wxwidgets2.8 doing so.
  * debian/python-wxgtk3.0.install: Don't package duplicate tree of .py files.
    (Closes: #757893)

 -- Olly Betts <olly@survex.com>  Wed, 13 Aug 2014 16:15:45 +1200

wxpython3.0 (3.0.0.0+dfsg-2) unstable; urgency=medium

  * Fix wx3.0.pth so that wxversion.ensureMinimal() works.
  * debian/control: Move commented out details for binary packages currently
    provided by wxwidgets2.8 into a separate file.
  * New patch suppress_warning_about_release_version_mismatch.patch to
    suppress: UserWarning: wxPython/wxWidgets release number mismatch

 -- Olly Betts <olly@survex.com>  Thu, 07 Aug 2014 17:02:36 +1200

wxpython3.0 (3.0.0.0+dfsg-1) unstable; urgency=medium

  * New upstream major release (Closes: #734799)
    + Split wxPython into its own source package - previously it was in the
      wxwidgets2.8 source package, but wxWidgets and wxPython releases no
      longer happen at all close together, so this doesn't work well.
    + debian/repack.sh: Update for new upstream release.
    + Update patches and drop those applied upstream.
  * debian/rules: Compressing packages using xz is now the default so no
    longer needs explicitly specifying.
  * Fix updating of alternatives for wx-config.
  * debian/copyright: .orig.tar.gz is now .orig.tar.xz.
  * debian/control: Drop conflicts against packages (or versions of packages)
    which no longer exist in any supported Debian or Ubuntu release.
  * debian/control: Drop 'Suggests: editra'.

 -- Olly Betts <olly@survex.com>  Wed, 23 Jul 2014 21:02:37 +1200

wxwidgets2.8 (2.8.12.1+dfsg2-1) unstable; urgency=medium

  * Repack to remove non-free files from wxPython. (Closes: #735225)
  * Change section to "oldlibs" to try to encourage new packages to use
    wx 3.0 instead.
  * Fix warnings building code using wx2.8 with GCC 4.8. (Closes: #740115)
  * "Standards-Version: 3.9.5" - no changes required.
  * debian/watch: Add dversionmangle to account for repacked orig tarball.

 -- Olly Betts <olly@survex.com>  Wed, 26 Mar 2014 15:08:15 +1300

wxwidgets2.8 (2.8.12.1+dfsg-2) unstable; urgency=high

  * Don't build binary package wx-common as that's now built by wxwidgets3.0.
    Upload with urgency=high as wxwidgets3.0 is already in testing, and the
    only change in this upload is to not build wx-common.  (Closes: #730211)

 -- Olly Betts <olly@survex.com>  Mon, 25 Nov 2013 18:09:23 +1300

wxwidgets2.8 (2.8.12.1+dfsg-1) unstable; urgency=low

  * Re-repack upstream to remove unused embedded copy of editra, which
    contains a base64 encoded exe file without source code. (Closes: #724470)
    + New patch fix-editra-removal.patch to fix up build system for removal of
      editra during repack.
    + debian/copyright: Drop license information for files in editra which we
      now remove in the repack.
    + debian/rules: Update for removal of editra during repack.
    + Just remove the upstream debian directory while repacking, rather than
      carefully renaming it to debian-upstream.
  * debian/copyright: Include licence info for wxPython/wx/lib/pubsub.
  * Use xz compression for source and binary packages.
  * debian/wxPython-tools.1: Make the pointer the pydoc documentation slightly
    more helpful by giving an example pydoc invocation.

 -- Olly Betts <olly@survex.com>  Tue, 24 Sep 2013 18:27:56 +1200

wxwidgets2.8 (2.8.12.1-16) unstable; urgency=low

  * Fix warning when compiling with recent GCC in C++11 mode.
    (Closes: #721184)
  * debian/copyright: Add missing licences for contrib/src/stc/scintilla,
    wxPython/wx/tools/Editra/src/extern/pygments and
    wxPython/contrib/activex/wxie.
  * Actually apply patches to add Tamil and Arabic i18n.
  * debian/build_all: Remove unused script.
  * debian/patches/WX_CONFIG.dpatch: Remove unused, obsolete patch.
  * debian/patches/dont-check-for-pangox.patch: The check for pangox is only
    done if building wxX11, which we don't do, so this patch isn't actually
    necessary, so drop it.
  * New patch wxpython-=-should-be-==.patch which fixes mishandling of the
    bitmap depth in the wxPython wrapper code.

 -- Olly Betts <olly@survex.com>  Thu, 12 Sep 2013 16:59:29 +1200

wxwidgets2.8 (2.8.12.1-15) unstable; urgency=low

  * Fix race condition which could result in mmedia libraries going into more
    than one binary package in a parallel package build.  (Closes: #719250)
  * wx-common now "Recommends: zip".  (Closes: #717857)
  * Add python-libxml2-dbg to "Build-Depends:" to fix FTBFS on HPPA.
    (Closes: #719086)
  * Don't mark -dbg packages as "Multi-Arch: same" - they depend on
    wx2.8-headers, which isn't multi-arch, so they can't be parallel installed.
  * Improve short descriptions of libwxgtk-media* packages.

 -- Olly Betts <olly@survex.com>  Wed, 28 Aug 2013 10:25:35 +1200

wxwidgets2.8 (2.8.12.1-14) unstable; urgency=low

  * Apply patch from Fabrice Coutadeur to enable wxmediactrl.
    (Closes: #588104)
  * New patch wx-2.8.12-print-ps-in-latin1-locale-segv-v2.patch
    (Closes: #702378)
  * debian/control.in: Remove errant backquote.  (Closes: #713866)

 -- Olly Betts <olly@survex.com>  Fri, 12 Jul 2013 22:47:48 +1200

wxwidgets2.8 (2.8.12.1-13) unstable; urgency=low

  * We don't actually use pangox, so don't test for it (new patch
    dont-check-for-pangox.patch from Emilio Pozuelo Monfort).
    (Closes: #701836)
  * Allow img2py to work with an X display (new patch
    img2py-no-display.patch from Nicolas Boulenguez).  (Closes: #698198)
  * Build --without-gnomeprint.  (Closes: #644571)
  * Update B-D from libtiff4-dev to libtiff5-dev.
  * Enable hardening flags, except for wxPython for which we need a way to get
    the extra compiler flags through setup.py.
  * Drop 'Conflicts' and 'Replaces' on wx 2.4 and 2.5 packages, and versioned
    'Build-Depends' relating to pre-squeeze versions.
  * Standards-Version: 3.9.4 (no changes required).
  * Update debhelper compatibility level from 7 to 9.
  * Fix vcs-field-not-canonical lintian warning by updating VCS URLs.

 -- Olly Betts <olly@survex.com>  Sat, 08 Jun 2013 22:23:20 +0000

wxwidgets2.8 (2.8.12.1-12) unstable; urgency=low

  * Make python-wxversion conflict with python-wxgtk2.8 (<< 2.8.12.1-1~) to
    guarantee upgrade ordering when moving from pycentral to dh_python2.
    (Closes: #684150)

 -- Olly Betts <olly@survex.com>  Wed, 19 Sep 2012 00:37:03 +0000

wxwidgets2.8 (2.8.12.1-11) unstable; urgency=low

  * It looks like upstream may not make another 2.8 release, and if they do
    it's unlikely to happen before the freeze, so backport several simple but
    useful patches from upstream's 2.8 SVN branch:

    + ico-saving-buffer-overrun.patch
    + richtextxml-fix.patch
    + slider-label-update.patch
    + wxclipboard-getdata.patch
    + wxvlistboxcombopopup-wxcbsort.patch
    + wxstatictext-rtl-alignright.patch
    + improve-bmp-decoding.patch
    + fix-aui-dock-crash.patch
    + wxdatetime-chained.patch (Closes: #242737)
    + Update Italian and Hungarian i18n.
    + Add Tamil and Arabic i18n.

  * Fix typo in package descriptions.

 -- Olly Betts <olly@survex.com>  Fri, 01 Jun 2012 05:08:47 +0000

wxwidgets2.8 (2.8.12.1-10) unstable; urgency=low

  * Build-depends on libpng-dev instead of libpng12-dev.  (Closes: #662553)
  * Add patch bp-menubar-fix.patch to fix sizing of new menubar.  
  * Drop build-dependency on quilt, no longer used since -9.
  * New patch desktop-files.patch which updates .desktop files to match the
    current specification.

 -- Olly Betts <olly@survex.com>  Mon, 28 May 2012 17:57:59 +0000

wxwidgets2.8 (2.8.12.1-9) unstable; urgency=low

  * Switch to "3.0 (quilt)" to fix issues with patches not getting applied at
    the right time, fixing FTBFS on buildds since they started to use
    build-arch.  (Closes: #670447)

 -- Olly Betts <olly@survex.com>  Thu, 26 Apr 2012 22:16:01 +0000

wxwidgets2.8 (2.8.12.1-8) unstable; urgency=low

  * New patch handle-positional-printf-arguments.patch.  (Closes: #631696)
  * debian/patches/remove-refs-to-FPB_DEFAULT_STYLE.patch: Strip CR.
  * New patch debian/patches/de.po.patch.  (Closes: #663488)
  * Standards-Version: 3.9.3 (no changes required).

 -- Olly Betts <olly@survex.com>  Wed, 25 Apr 2012 02:49:42 +0000

wxwidgets2.8 (2.8.12.1-7) unstable; urgency=low

  * Fix path to one of the bogus executable files in wx2.8-examples so it gets 
    made non-executable as intended, really fixing the final lintian warning.
  * Add patch remove-refs-to-FPB_DEFAULT_STYLE.patch to fix warning upon
    refresh in XRCed.  (Closes: #654990)
  * Fix syntax of "Bug-Debian" header in fix-wxcmdline-segv.patch.
  * Add patch fix-more-typos.patch which fixes an assortment of typos in
    documentation, documentation comments, and docstrings.
  * "debian/rules clean" now removes wxPython/build-options.cache.

 -- Olly Betts <olly@survex.com>  Mon, 09 Jan 2012 07:38:56 +0000

wxwidgets2.8 (2.8.12.1-6) unstable; urgency=low

  * Install the files needed to wrap wx-using projects with SWIG.
    (Closes: #627728)
  * Fix files in wx2.8-examples which were executable for no good reason, which
    fixes the remaining 9 lintian warnings.

 -- Olly Betts <olly@survex.com>  Wed, 21 Dec 2011 13:09:39 +0000

wxwidgets2.8 (2.8.12.1-5) unstable; urgency=low

  * Remove references to CVS and cvs.wxwidgets.org (which no longer works).
  * Add DEP3 headers to more patches.
  * Drop patch fix-config-scripts and instead copy them from /usr/share/misc
    so we get up-to-date versions.
  * debian/wx-config.1: Clarify text about debug builds.
  * debian/control.in: Add missing ${misc:Depends} and ${misc:Pre-Depends}.
  * debian/rules: Get rid of empty /usr/share/lintian/overrides directory
    in python-wxtools.

 -- Olly Betts <olly@survex.com>  Wed, 07 Dec 2011 01:27:29 +0000

wxwidgets2.8 (2.8.12.1-4) unstable; urgency=low

  * Add support for multiarch same by applying patch from Gregory Hainaut.
    (Closes: #645411)
  * Tighten dependency from wxgtk2.8-dev to wx-common from "Suggests" to
    "Depends" to ensure that the wx-config man page will be installed if
    wx-config is. (Closes: #585986)
  * debian/wxrc-tools.1: "2.6" -> "2.8"; "wxWindows -> wxWidgets".
  * debian/wx-config.1: Fix typos.

 -- Olly Betts <olly@survex.com>  Tue, 06 Dec 2011 04:08:48 +0000

wxwidgets2.8 (2.8.12.1-3) unstable; urgency=low

  * Add new patch fix-wxcmdline-segv.patch to fix segfault with mriconvert and
    wx2.8. (Closes: #646654)
  * Add new patch wxpython2.8-eliminate-string-exceptions.patch to wrap all
    the places I could find which try to throw a string exception so they
    instead throw an Exception object. (Closes: #585339)
  * Use find's -delete option to simplify places where we use find to delete
    files or directories.  Move a deleting find call just before a recursive
    delete of a subdirectory tree to just after it to save find having to
    pointlessly scan that subdirectory tree.
  * Revise patch wxglcanvas-avoid-segv-when-glx-not-available in the light of
    upstream comments.

 -- Olly Betts <olly@survex.com>  Fri, 11 Nov 2011 04:45:16 +0000

wxwidgets2.8 (2.8.12.1-2) unstable; urgency=low

  * Fix wxJoystick to send wxEVT_JOY_MOVE events. (Closes: #568702)
  * wxPython/demo/b is completely useless to include in the package, so just
    exclude it rather than carefully patching it to fix a bashism.
  * Fix typos in debian/copyright.
  * Upstream configure no longer has a --disable-reserved_virtual option, so
    stop passing it.
  * Remove python-xml and python-xml-dbg from "Suggests:" as these packages no
    longer exist. (Closes: #645268)
  * debian/rules: export WX_UNICODE so it gets passed to sub-invocations of
    debian/rules, allowing ANSI packages to be built for binary-cross.
  * Remove unused substitutions of =PY and =WXPYDIR.
  * Compute soversion rather than hard-coding it.
  * Simplify check for development release, in the process eliminating bc as a
    build-dependency.
  * Remove pyshell since it's been deprecated upstream for almost a decade, and
    pycrust is also included and has equivalent functionality.  Also, pyshell
    is gone in upstream trunk anyway.
  * Remove build dependencies on bison and flex as they're no longer used.
  * Update package descriptions.
  * Add patch wxglcanvas-avoid-segv-when-glx-not-available. (Closes: #575536)
  * Also add ${misc:Depends} to binary packages which didn't already have
    "Depends:".
  * Prune any empty locale directories (fixes lintian warning about
    usr/share/locale/zh/LC_MESSAGES/).

 -- Olly Betts <olly@survex.com>  Sat, 15 Oct 2011 11:46:51 +0000

wxwidgets2.8 (2.8.12.1-1) experimental; urgency=low

  * New upstream release (Closes: #586129, #623583)
    + Avoid installing emission hook more than once which could lead to 100%
      CPU when using a timer. (Closes: #583746)
    + Fixes encoding problem with wxDirPickerCtrl::GetPath(). (Closes: #584330)
    + Drop patches applied upstream: fix-FTBFS.patch, CVE-2009-2369.dpatch
    + Removed hunks from patches/fix-path-to-some-interpreters which are no
      longer relevant since those files no longer have '#!' lines upstream.
    + Refresh patches.
  * Removed unused lintian override "python-wxtools:
    python-script-but-no-python-dep".
  * Drop "Suggests:" alternative of xlibmesa-gl-dev, which became a dummy
    package in etch.
  * Migrate from dh_pycentral to dh_python2 (Closes: #617148)
  * Support DEB_BUILD_OPTIONS=noopt (Closes: #571597)
  * Support DEB_BUILD_OPTIONS=parallel=n
  * Add description for patch fix-build-with-python2.6.patch (just taken from
    Ryan's commit message).
  * Create debian/source/format to squash lintian warning.
  * Remove bundled copy of expat (which we don't use) when we repack the
    upstream sources to fix lintian warning about an ancient copy of libtool in
    there.  This also will ensure that we don't accidentally start to use the
    embedded copy in the future.  By similar logic, remove the embedded copies
    of other libraries we don't want to use.
  * Remove versioned conflict on python-wxgtk2.8 << a version which was never
    in Debian.  Adjust versioned conflict of python-wxgtk2.6 to what Ron says
    is the correct version for Debian.
  * Update debhelper compatibility level from 5 to 7, and use dh_prep instead
    of dh_clean -k.
  * Add ${misc:Depends}.
  * Fix another spelling mistake in the same line as the two which
    fix-wxversion-help-spelling already fixes!
  * Fix to build with WX_UNICODE overridden to 0 (not used for Debian, but
    there for those who want to build their own non-Unicode flavoured packages.
    (Closes: #602436)

 -- Olly Betts <olly@survex.com>  Wed, 12 Oct 2011 05:08:12 +0000

wxwidgets2.8 (2.8.10.1+dfsg-4) unstable; urgency=low

  [ Ryan Niebur ]
  * add contrib/samples to the wx2.8-examples package (Closes: #392591)

  [ Olly Betts ]
  * Add myself to Uploaders.
  * Simplify to just always use --with-opengl.
  * msw-cross packages now build for all archs (not just i386), have OpenGL
    enabled, build with the specified Unicode setting, and default to
    --disable-threads to avoid mingwm10.dll being required.
  * Standards-Version: 3.9.2 (no changes required).
  * Update libjpeg62-dev build dependency to libjpeg-dev. (Closes: #636281)
  * Remove all DLLs when repacking the tarball. (Closes: #625272)
  * debian/watch: Restrict to only consider wx 2.8 releases.
  * Add patch fix-configure-for-multiarch which fixes FTBFS since multiarch
    was introduced. (Closes: #636280)
  * Add patch fix-macro-namespace-pollution.patch to rename ATTRIBUTE_PRINTF
    macros in public headers to WX_ATTRIBUTE_PRINTF.  (Closes: #521924)
  * debian/wx-config.1: Remove invalid '.l' macro - leaves formatted output
    unchanged and fixes lintian warning.
  * debian/rules: Rename build_arch target to build-arch and add build-indep
    target.
  * Strip executable bits from files in examples since upstream source has
    them randomly set for some files, and none should be executable.

 -- Olly Betts <olly@survex.com>  Mon, 10 Oct 2011 14:08:31 +0000

wxwidgets2.8 (2.8.10.1-3) unstable; urgency=low

  * rebuild against python2.6
  * add mention of wx-config to libwxgtk2.8-dev's long description
    (Closes: #498737)

 -- Ryan Niebur <ryan@debian.org>  Wed, 27 Jan 2010 00:22:29 -0800

wxwidgets2.8 (2.8.10.1-2) unstable; urgency=low

  * set wx2.8-i18n Section to localization
  * python-wxversion doesn't have to depend on 'python-wxgtk2.6 |
    python-wxgtk2.8' (Closes: #479738)
  * fix to install correctly under Python 2.6 (see bug #557943)
  * make wxwidgets 2.8 the default
  * Fix spelling errors in wxversion help (Closes: #518540)
  * add patch, fix-build-with-python2.6, to make things get installed to
    the correct places with the multiversion stuff
  * add libexpat1-dev to build deps and pass --with-expat=sys to
    configure (Closes: #560917)

 -- Ryan Niebur <ryan@debian.org>  Sat, 12 Dec 2009 23:39:04 -0800

wxwidgets2.8 (2.8.10.1-1) unstable; urgency=low

  * Add myself to Uploaders (Closes: #539170)
  * add a watch file
  * New Upstream Version (Closes: #512939)
    - fixes underscores instead of underline letters in context menu
      in pgadmin3 (Closes: #491006)
    - fixes Gtk-WARNINGs (Closes: #494424)
  * remove the python-wxaddons package, wxaddons is removed upstream
  * set maintainer to Wx Maintainers
  * switch to quilt
  * -dbg packages => Section: debug
  * add Homepage fields
  * remove reference to homepage in long descriptions
  * depend on libgl1-mesa-dev instead of the transitional xlibmesa-gl-
    dev
  * s/Source-Version/binary:Version/
  * Debian Policy 3.8.3
  * add README.source
  * fix lintian override handling
  * remove bashism in d/rules (Closes: #535424)
  * fix the doc-base file (Closes: #476254)
  * fix bashism in useless example... (Closes: #489671)
  * fix configure for on hurd (Closes: #512117)
  * use the config.{sub,guess} from autotools-dev during build
  * add shlibs:Depends to libwxgtk2.8-dbg (Closes: #553243)
  * build without --enable-mediactrl (Closes: #493090)
  * make python-wxgtk2.8 conflict with python-wxaddons to make sure it
    disappears
  * don't compress .py files
  * add versioned build dependencies on binutils..either the version in
    or before stable, or the version that fixed the bug
  * no more get-orig-source (Closes: #545080)
  * backport r61009 to fix FTBFS (Closes: #549770)
  * remove Editra, it has its own package now
  * fix some lintian warnings, mostly borrowed from Ubuntu

 -- Ryan Niebur <ryan@debian.org>  Tue, 01 Dec 2009 22:45:38 -0800

wxwidgets2.8 (2.8.7.1-2) unstable; urgency=high

  * Package orphaned, change Maintainer to Debian QA Group.
  * debian/patches/CVE-2009-2369.dpatch: Fixed Integer overflow in the
    wxImage::Create function (CVE-2009-2369) (Closes: #537174)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 29 Jul 2009 21:03:42 +0200

wxwidgets2.8 (2.8.7.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Applying patch by Matt Kraai to fix FTBFS when using sbuild (Closes: #489077)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sun, 07 Sep 2008 15:09:07 +0200

wxwidgets2.8 (2.8.7.1-1) unstable; urgency=low

  * Upload to unstable.
  * Set myself as the maintainer.
  * Add Vcs-{Git,Browser} fields.
  * Do not take over wxwidgets2.6 packages wx-common, python-wxversion,
    python-wxtools, and python-wxaddons. Because of this, lower
    python-wxgtk2.8's dependency on python-wxversion to 2.6 instead of 2.8.
  * Also lower the alternative priority from 28 to 25, so that 2.6 is the
    default for Lenny.

 -- Adeodato Simó <dato@net.com.org.es>  Sun, 29 Jun 2008 18:19:48 +0200

wxwidgets2.8 (2.8.7.1-0.1) experimental; urgency=low

  * Upload to experimental.
  * New upstream version, based on the upstream tarball
    wxPython-src-2.8.7.1.tar.bz2, renamed debian to debian-upstream.
  * Merge changes from the "upstream" 2.8.7.1-0 package (without any
    changes to debian/changelog, which includes upstream changes).

 -- Matthias Klose <doko@debian.org>  Sun, 10 Feb 2008 21:53:25 +0000

wxwidgets2.8 (2.8.6.1-0ubuntu3) hardy; urgency=low

  * debian/control.in: Add dpatch to the build dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Feb 2008 17:05:30 +0000

wxwidgets2.8 (2.8.6.1-0ubuntu2) hardy; urgency=low

  * Build for all supported python versions.
  * Move the wx.pth symlink handled by update-alternatives into
    the python-wxversion package; adjust dependencies accordingly.
  * Do not apply "WX_CONFIG" patch (generated file).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Feb 2008 21:44:25 +0000

wxwidgets2.8 (2.8.6.1-0ubuntu1) hardy; urgency=low

  * New upstream version, based on the upstream tarball
    wxPython-src-2.8.6.1.tar.bz2, renamed debian to debian-upstream.
  * Provide a get-orig-source target to do the repackaging.
  * Fix "substvar-source-version-is-deprecated" lintian warnings.
  * Remove duplicate Description field in debian/control.
  * Add "\" at the end of line 8 in debian/python-wxtools.menu to fix
    "bad-test-in-menu-item" lintian error.
  * Provide .xpm icons to fix "menu-icon-not-in-xpm-format" lintian errors,
    changed Icon field in debian/python-wxtools.menu.
  * Fix "wrong-name-for-upstream-changelog" lintian warnings.
  * Remove "Application;" from Categories field in debian/pycrust.desktop,
    debian/pyshell.desktop, debian/xrced.desktop.
  * Switch "Apps" to "Applications" in debian/python-wxtools.menu to fix
    "menu-item-uses-apps-section" lintian warnings.
  * Drop the icon extension from debian/pycrust.desktop,
    debian/pyshell.desktop, debian/xrced.desktop.
  * Add dpatch support.
  * Add "WX_CONFIG" patch.
  * debian/rules:
    - added .xpm icons to install-gtk-py-tools target
    - added "docs/changes.txt" to dh_installchangelogs in binary-common target
    - added "\" at the end of "install-examples install-msw-dev
      install-msw-dbg install-headers-msw" line in .PHONY

 -- Devid Filoni <d.filoni@techemail.com>  Tue, 06 Nov 2007 18:25:13 +0100

wxwidgets2.8 (2.8.4.0-0ubuntu3) gutsy; urgency=low

  * src/gtk/settings.cpp:
    + Patch from upstream SVN (r48002) to stop using private Gtk API which
      results in segfaults since Gtk 2.11.6.
      https://sourceforge.net/tracker/?func=detail&atid=109863&aid=1767485&group_id=9863

 -- Sebastian Dröge <slomo@ubuntu.com>  Fri, 10 Aug 2007 13:14:08 +0200

wxwidgets2.8 (2.8.4.0-0ubuntu2) gutsy; urgency=low

  * src/gtk/{button,window}.cpp:
    - Use gtk_border_free not g_free when freeing GtkBorder's.
      Changes from upstream CVS (LP: #120278).

 -- Matti Lindell <mlind@cs.joensuu.fi>  Mon, 25 Jun 2007 23:51:17 +0300

wxwidgets2.8 (2.8.4.0-0ubuntu1) gutsy; urgency=low

  * New upstream version, based on the upstream tarball
    wxPython-src-2.8.4.0.tar.bz2, renamed debian to debian-upstream.
  * Set the priority of the wx.pth alternative to 28.
  * debian/rules: Unset DEBIAN_WX_DEFAULT_VERSION.
  * Merge changes from the "upstream" debian packaging.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 26 May 2007 17:54:57 +0200

wxwidgets2.8 (2.8.3.0-0ubuntu1) gutsy; urgency=low

  * New upstream version, based on the upstream tarball
    wxPython-src-2.8.3.0.tar.bz2, renamed debian to debian-upstream.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Fri, 20 Apr 2007 00:01:50 +0200

wxwidgets2.8 (2.8.1.1-0ubuntu4) feisty; urgency=low

  * Patched src/unix/gsocket.cpp to fix filezilla bug LP: #88897
    Patch details are at http://
    sf.net/tracker/index.php?func=detail&aid=1688222&group_id=9863&atid=309863

 -- Adrien Cunin <adri2000@ubuntu.com>  Fri, 30 Mar 2007 22:06:40 +0200

wxwidgets2.8 (2.8.1.1-0ubuntu3) feisty; urgency=low

  * fixed error in header file which blocks use of -pedantic
    (patch from CVS) (LP: #91853)

 -- Jonh Wendell <wendell@ubuntu.com>  Mon, 19 Mar 2007 14:20:59 -0300

wxwidgets2.8 (2.8.1.1-0ubuntu2) feisty; urgency=low

  * fixed crash in wxGetUserName() in Unicode (from CVS) (LP: #35375)

 -- Emmet Hikory <emmet.hikory@gmail.com>  Mon, 12 Mar 2007 09:53:59 +0900

wxwidgets2.8 (2.8.1.1-0ubuntu1) feisty; urgency=low

  * New upstream version, based on the upstream tarball
    wxPython-src-2.8.1.1.tar.bz2, renamed debian to debian-upstream.
  * TODO: wxPython header files are installed in some bogus location,
    but not in any package (no regression from 2.6).

  [ Matthias Klose ]

  * Merge changes from wxwidgets2.6-2.6.3.2.1.5ubuntu5.
  * Merge changes from the "upstream" 2.8.1.1-0 package (without any
    changes to debian/changelog, which includes upstream changes).
    - Update build dependencies.
    - New package python-wxaddons.
    - Desktop integration for pycrust, pyshell, xrced.
  * Remove redundant dependencies on libc6-dev.
  * Set the priority of the wx.pth alternative to 25 (instead of the
    default 28), so that we keep wxwidgets2.6 as the default on
    new installations.
  * wx2.8-headers: Install wxPython header files. Ubuntu #2887.

  [ Barry deFreese ]

  * Python version - 2.5
  * Bump standards to 3.7.2
  * Debhelper/compat > 5

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Feb 2007 23:33:05 +0100

wxwidgets2.6 (2.6.3.2.1.5ubuntu5) feisty; urgency=low

  * Build the existing -dbg package for the python-dbg build.
  * Remove python-wxgtk-dbg installation scripts.
  * debian/rules: Remove dh_python calls.
  * debian/control.in: Fix name of python-xml package. Don't let the -dbg
    package conflict with the normal build, but depend on it.
  * Remove debian/python-version, use pyversions -d.
  * Use the default python flags for the wxPython builds.
  * Add build dependency on bc.
  * Bump debhelper compatibility to v5.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Feb 2007 22:31:31 +0100

wxwidgets2.6 (2.6.3.2.1.5ubuntu4) feisty; urgency=low

  * wxPython/wx/py/introspect.py: 
    move "from __future__ import nested_scopes" to the begin of the file

 -- Michael Bienia <geser@ubuntu.com>  Mon, 15 Jan 2007 17:59:40 +0100

wxwidgets2.6 (2.6.3.2.1.5ubuntu3) feisty; urgency=low

  * Explicitely set the hard coded python version to 2.5.
  * Fix compilation errors with newer gcc.
  * Fix 64bit builds with python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Jan 2007 11:04:14 +0000

wxwidgets2.6 (2.6.3.2.1.5ubuntu2) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:23:11 +0000

wxwidgets2.6 (2.6.3.2.1.5ubuntu1) feisty; urgency=low

  * Fix for GTK warnings in wxNotebook::DoRemovePage
    (Closes: LP#59138)

 -- Matti Lindell <mlind@cs.joensuu.fi>  Wed, 13 Dec 2006 22:35:54 +0200

wxwidgets2.6 (2.6.3.2.1.5build1) feisty; urgency=low

  * Rebuild for ldbl128 change on powerpc and sparc.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Nov 2006 10:27:55 +0000

wxwidgets2.6 (2.6.3.2.1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Set debian/python-version to 2.4.
  * Replace =PY with python in debian/control (python-xml was transitionned to
    the new policy).

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 15 Aug 2006 23:44:53 +0200

wxwidgets2.6 (2.6.3.2.1.4) unstable; urgency=low

  * Fix 2.6.3.2.1.2, add the build dependency in debian/control.in.
    Closes: #382951

 -- Matthias Klose <doko@debian.org>  Mon, 14 Aug 2006 10:21:16 +0000

wxwidgets2.6 (2.6.3.2.1.3) unstable; urgency=low

  * NMU.
  * Build for python2.4.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Aug 2006 02:01:15 +0200

wxwidgets2.6 (2.6.3.2.1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitely Build-Depend on python-central. Closes: #381110

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun,  6 Aug 2006 13:00:11 +0200

wxwidgets2.6 (2.6.3.2.1.1) unstable; urgency=low

  * NMU (I love this version string for NMU's :-/).
  * Convert to updated Python policy. Closes: #373410.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2006 18:25:37 +0200

wxwidgets2.6 (2.6.3.2.1) unstable; urgency=low

  * Add 'Replaces' for the wxbase packages when upgrading from
    earlier than 2.6.3.2 where they split again.  Closes: #365561

 -- Ron Lee <ron@debian.org>  Mon,  1 May 2006 14:02:26 +0930

wxwidgets2.6 (2.6.3.2) unstable; urgency=low

  * Next try for an upload candidate.
  * Fixes FTBFS on GNU/kFreeBSD. Closes: #327638
  * Update fr.po, thanks to Thomas Huriaux and debian-l10n-french.
    Closes: #328966
  * Split wxbase back into its own package, after all these years
    and just after I drop it, someone finally has a use for it.
    Such is life.  Closes: #333944
  * Fixes FTBFS with new make.  If this ugly quoting is the tradeoff,
    I'm itching to learn of the fabulous benefits...
    Ack NMU for this from Kurt Roeckx to keep the amd64 transition
    rolling while my x86 build machine was painfully dying.  Thanks!
    Closes: #350695, #361443
  * New FSF address in copyright file.
  * Add an index.html link to the doc contents page.  Closes: #328896
  * Fixes declarations for friends, as required by C++, and now gcc4.1.
    Closes: #358219
  * Add an unpack_examples script, loosely based on one submitted
    by Richard Esplin.  Closes: #342761
  * Disable the reserved vtable entries (again, but this time its
    optional) to retain compatibility with the existing release
    in the distro.
  * Update build-deps for xorg7.

 -- Ron Lee <ron@debian.org>  Fri, 14 Apr 2006 16:50:24 +0930

wxwidgets2.6 (2.6.1.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make it build using the new make.  Patch from
    Daniel Schepler <schepler@math.berkeley.edu> (Closes: #350695)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun,  9 Apr 2006 14:04:34 +0200

wxwidgets2.6 (2.6.1.2) unstable; urgency=low

  * Fix the build_options.py created by the in tree build.
    Closes: #324960  Thanks.
  * Move the wx.pth alternative to its own directory where
    it can't mess with anything else.
  * Pull in changes to dcclient.cpp and window.cpp from HEAD
    mostly for gtk2.8 compatibility, but fixes a couple of
    other issues too.

 -- Ron Lee <ron@debian.org>  Thu, 25 Aug 2005 18:38:31 +0930

wxwidgets2.6 (2.6.1.1.1) unstable; urgency=low

  * Reshuffle the wxPython packages again, to comply better with
    the python naming policy and improve support for concurrent
    installations.  The runtime files are now in python-wxgtk2.6-0,
    the version selector in python-wxversion and the ancillary
    tools in the python-wxtools package.

    Many thanks to Matthias Klose <doko@ubuntu.com> for patches
    and patient prodding to get wxpython into better shape for
    version transitions.

  * Collapse the wx-common package into an 'unversioned' one also.

  * On its way back into unstable by popular demand.

 -- Ron Lee <ron@debian.org>  Sun, 14 Aug 2005 21:25:34 +0930

wxwidgets2.6 (2.6.1.1) experimental; urgency=low

  * 2.6.2 prerelease test -- Pain for the Impatient.

    Be warned, wx2.6 has still not branched off the main
    development tree, and the API is still in flux.

    This one is to see what else is wrong.

  * Upload to experimental now the -c2 transition is real.

 -- Ron Lee <ron@debian.org>  Thu, 23 Jun 2005 14:08:33 +0930

wxwidgets2.6 (2.6.0) unstable; urgency=low

  * 8 ... 9 ... 10.  Here it comes, ready or not...
  * make install includes archive.h now.  Closes: #294998

 -- Ron Lee <ron@debian.org>  Wed, 13 Apr 2005 01:15:05 +0930

wxwidgets2.5 (2.5.5.1) unstable; urgency=low

  * Last chance.
  * Conflict with wxwin2.4-i18n.  Due to inertia, it really
    does.  Sorry if you are not a gringo and want both 2.4 and
    2.5 apps localised on the same machine.  Maybe for 2.6.1.
    Bitch upstream if you want it fixed.
  * Don't package the static libs anymore for wxGTK.
    Blame drepper for encouraging their obsolescence  If you dare.
  * Trim the configure options to reflect the new defaults.

 -- Ron Lee <ron@debian.org>  Mon, 11 Apr 2005 22:43:58 +0930

wxwidgets2.5 (2.5.4.0) unstable; urgency=low

  * Experimental snapshot.
  * More bakefile bogosity manually patched.  Closes: #294998
  * Fix stray conflicts with 2.4.  Closes: #287623
  * Fixes lack of version checking in wxPython examples.
    Closes: #287772
  * Fixes FTBFS on ppc.  Closes: #285186
  * Enable gnomeprint, Closes: #284943 satisfactorily I hope.

 -- Ron Lee <ron@debian.org>  Sun, 13 Feb 2005 16:52:38 +1030

wxwidgets2.5 (2.5.3.3) unstable; urgency=low

  * Experimental snapshot.

 -- Ron Lee <ron@debian.org>  Tue,  8 Feb 2005 12:30:45 +1030

wxwidgets2.5 (2.5.3.2) unstable; urgency=low

  * This time, really now.
    A snapshot that is actually ready for wider release.
    Thanks to all who've been patient.  We know who you are.
  * Update path to wxPython site-packages, build them with
    --no_rpath since we will install the in tree build.

 -- Ron Lee <ron@debian.org>  Thu, 11 Nov 2004 11:01:00 +1030

wxwidgets2.5 (2.5.3.1) unstable; urgency=low

  * Functioning concurrent installs for both the C++ libs
    and wxPython along with legacy support for existing 2.4
    users mean we can now safely introduce this release to
    unstable without an adverse effect on existing users.

 -- Ron Lee <ron@debian.org>  Sun, 31 Oct 2004 15:54:46 +1030

wxwidgets2.5 (2.5.3.0) experimental; urgency=low

  * Experimental prerelease.

 -- Ron Lee <ron@debian.org>  Wed, 22 Sep 2004 03:29:56 +0930

wxwidgets2.5 (2.5.2.3) experimental; urgency=low

  * Greatly improved concurrent installs.  We can now install
    a much wider range of builds without conflicting and select
    between them without the need to go changing symlinks or
    the suite of applications you have installed.
  * Contrib is dead.  Long live contrib.
    Better multi-library builds have made contrib more or less
    obsolete.  This is the big crunch before the boom.  Everything
    useful out of contrib has been moved back into the main package.
    Later we will split many out again along the lines of shared
    dependencies, so a minimal wx install really can remain minimal
    without losing any future potential.

 -- Ron Lee <ron@debian.org>  Sat, 18 Sep 2004 00:59:01 +0930

wxwidgets2.5 (2.5.1.1) experimental; urgency=low

  * The s/ndow/dget/g release.
  * Yes, the name has changed and the terrorists have won again.
    Having a name too similar to Lindows apparently makes us a
    liability to the illusion their assailants will want to project
    in court.  Eleven or so years of unbroken, unquestioned usage
    was not nearly so interesting to these people as the fact we
    were a soft target and easy to deprive of due process.
  * wxGTK is now built with gtk2 and unicode support.
  * wxBase is no longer a separate package, it is built with the
    GUI libs which now depend on it.  We might split it out again
    one day if there is a need for that.
  * Added support for GNU/K*BSD (thanks again to Robert Millan).
  * Non-core functionality is now provided by separate libraries
    rather than simply being built into a single behemoth unit.
    Of course, given the way these things work, almost none of
    them are actually smaller, and the load time is unlikely to
    improve either, but the logical separation may be beneficial.
  * Removed many elements of the build scripts that are no longer
    required due to improvements and changes elsewhere.
  * Added README.examples for people who think these are packaged
    as demos instead of as extended documentation.

 -- Ron Lee <ron@debian.org>  Fri, 27 Feb 2004 17:00:29 +1030

wxwindows2.5 (2.5.0) unstable; urgency=low

  * New beginnings.  Back to development flavored chaos again.

 -- Ron Lee <ron@debian.org>  Thu, 19 Dec 2002 01:08:50 -0800

wxwindows2.4 (2.4.2.6) unstable; urgency=high

  * High urgency so as not to reset the shotclock for getting wx and
    its deps moving into testing.  All changes since the last release
    are superficial.
  * Reapply HURD/K*BSD patch fragment that should not have been reverted.
    Closes: #217726    (Make a wish, the third time is lucky so I'm told.)
  * Updated .po files.

 -- Ron Lee <ron@debian.org>  Mon,  2 Aug 2004 14:50:07 +0930

wxwindows2.4 (2.4.2.5) unstable; urgency=medium

  * Medium urgency to keep things moving for the libtiff fudge.
  * Switch to dhv4, libtiff4.
  * Fix menu quoting.
  * Whittled down on some of the build config scripts that weren't
    really earning their weight.
  * Check for DISTCC_HOSTS and set the number of make -j jobs according
    to the number of hosts it contains.
  * Purge the .pyc from site-packages/wx too.  They are generated on
    site at install time.
  * Includes type correctness fix for 64bit arch's.  Closes: #197661
  * Merged patches from Robert Millan for HURD/K*BSD support back from
    cvs head.  Closes: #217726
  * Store the python version we preconfigure virgin source with, then
    people don't need the default python package installed to build
    from source, just the packages declared in the build-deps.  Fix
    the -python postinst to use this when byte compiling too.
    Closes: #259128  (and fixes #258529)
  * Added README.examples to explain that these examples are extended
    documentation for coders, rather than trial apps for users.
    Closes: #212894
  * Dropped the examples from the demos subdir, the samples cover a lot
    more ground than they used to and are generally more up to date,
    it's also no longer hard to find a broad range of real applications
    with source.  Provided more external pointers in the README.
    Closes: #258530 after discussion with the submitter.  This is a bit
    less c++ for your python, but I'm not convinced yet that either half
    is such a burden on the other as to warrant an extra package here
    at this stage.
  * Fix linking of wxgtk_gl to include the proper dependency on wxgtk.
    Remove suggestion of libgl1, by declaring the full library dependency
    we now automatically insist on it.  Closes: #262027
  * Include wxrc and wxrcedit in contrib-dev.  Added a simple man page
    and a menu entry for wxrcedit.  Closes: #261811
  * Update gl sample makefiles to use --gl-libs.  Thanks to Rich Walker
    for picking this up.  Closes: #246169
  * Enable the building of a libwxgtk-dbg-python package, but do not
    build and upload it by default at this stage.  Closes: #220568
  * Does not fix #239782, sorry.

 -- Ron Lee <ron@debian.org>  Wed, 28 Jul 2004 03:21:42 +0930

wxwindows2.4 (2.4.2.4) unstable; urgency=low

  * Modified build scripts to use pythonX.Y instead of python(>=X.Y)
  * Removed bogus hard coded python2.2-xml.  Closes: #216182
  * Enabled iostream support despite my opinion of this c++ 'feature'.
    Closes: #211050
  * Event handling for menus with bitmaps fixed.  Closes: #214788
  * Includes fixes for wxHTTP and wxURL parsing. Closes: #211023, #213600

 -- Ron Lee <ron@debian.org>  Sat, 25 Oct 2003 13:48:07 +0930

wxwindows2.4 (2.4.1.2) unstable; urgency=low

  * New stable release.  Closes: #198622
  * Ack python NMU changes, Thanks Josselin!
  * Hurd support added to configure.  Closes: #191581
  * Fixes ctrl-tab problem with pyslsk.  Closes: #187923
  * Fixed configure for autoconf 2.57-3.  Closes: #190755
  * Added conflict/replace for -doc.  Closes: #202242

 -- Ron Lee <ron@debian.org>  Fri, 22 Aug 2003 15:59:12 +0930

wxwindows2.4 (2.4.0.8-0.1) unstable; urgency=low

  * NMU for python transition.
  * Build-depend and depend on python 2.3 (closes: #204737).

 -- Josselin Mouette <joss@debian.org>  Wed, 13 Aug 2003 22:21:48 +0200

wxwindows2.4 (2.4.0.9) unstable; urgency=low

  * Updated package sections to suit the new taxonomy.
  * No public release of this version.

 -- Ron Lee <ron@debian.org>  Sat, 19 Apr 2003 20:13:39 -0700

wxwindows2.4 (2.4.0.8) unstable; urgency=low

  * The "I wish people would read the existing discussion about new releases
    before posting 'reminder' bugs" release.  Closes: #189144
  * Moved back to using png2.  gtk1 forces that on anything using it and
    gtk2 support is still too flakey both in wx and dependent apps for
    us to entertain it in a stable release.  This is a *really* messed
    up situation for anyone trying to maintain a development machine.
    Thank the png and gtk theme people if its a pain in your ass too.
    Closes: #186779
  * Add real package options to the gl build deps.  Closes: #182210
  * Really fix the XRCed problem, unlike 2.4.0.7 ; ) Closes: #183712

 -- Ron Lee <ron@debian.org>  Tue, 15 Apr 2003 18:42:54 -0700

wxwindows2.4 (2.4.0.3) unstable; urgency=low

  * Changed Conflict to Replaces so people can use 2.4 -dev before all
    their 2.3 deps are gone.  Closes: #178305
  * Added wxPy supplied 2.3 distutils to the source package, apparently the
    standard 2.2 one is now insufficient.  This hopefully Closes: #178457

 -- Ron Lee <ron@debian.org>  Mon, 27 Jan 2003 17:36:59 -0800

wxwindows2.4 (2.4.0.2) unstable; urgency=low

  * Added missing quantize.h to install.  Closes: #178135
  * Removed unnecessary -dev deps.
  * move wxwin.m4 &c out of the runtime package and conflict with earlier
    versions that didn't.  Also nuke some empty dir cruft that slipped by.
    Thanks for noticing the latter Josip.  Closes: #176033
  * dinstall won't close bugs from earlier unreleased versions :(
    see below for explanations.  Closes: #162948, #171258, #168148
    Closes: #170748, #168250, #164557, #172390, #172447, #168887
    Closes: #155476, #155478

 -- Ron Lee <ron@debian.org>  Thu, 16 Jan 2003 16:46:31 -0800

wxwindows2.4 (2.4.0) unstable; urgency=low

  * The fingers crossed release.
  * de.po typo fix.  Closes: #174084
  * tr.po stable tree patch.  Closes: #174667
  * Add a manpage for the wxPython scripts pointing to the pydoc docs.
  * Disabled generation of gtk-univ, it is a rather insensible combination
    now and should be replaced by x11-univ instead.
  * There had to be some payoff to all the delays -- a clean gcc3.2
    transition :-)  This package certainly obsoletes 2.3.3.2 and I'll
    be seeking to finally have 2.2.9.2 removed as well once Audacity
    is updated.

 -- Ron Lee <ron@debian.org>  Thu, 19 Dec 2002 00:50:48 -0800

wxwindows2.3 (2.3.4.1) unstable; urgency=low

  * 2.4.0pre1 I guess.
  * Added -ffunction-sections for broken hppa linker. Closes: #162948
  * Conflict/Replace wxPython2.2.  Since its nmu these two packages
    can no longer currently coexist.  Closes: #171258
  * xrced.py path search fixed.  Closes: #168148, #170748
  * Actually install all wxUniv headers to the header package.
    Closes: #168250, #164557
  * Robin tells me this one should be fixed in 2.3 too, I can't confirm
    so please reopen if it's not.  Closes: #172390
  * Added menu items for pycrust/pyshell, thanks Martin.  Closes: #172447
  * Broken header fixed.  Closes: #168887

 -- Ron Lee <ron@debian.org>  Mon, 18 Nov 2002 18:54:21 -0800

wxwindows2.3 (2.3.3.2) unstable; urgency=low

  * The one more for luck release.
  * Debian-wise, it fixes the problem with contrib lib name clashes;
    code-wise, lots of little issues (and a couple of big 'uns) from
    2.3.3 -- see the more regular change or cvs logs for details...
  * Yes, it's still the unstable branch, yes the request for testing
    to see if we can reasonably obsolete 2.2 in post-woody debian
    is still current, and yes we're still working toward a stable
    2.4 release as fast as we can.   Big thanks to everyone who's
    been patient and/or active fixing things.

 -- Ron Lee <ron@debian.org>  Thu, 26 Sep 2002 17:43:05 -0700

wxwindows2.3 (2.3.3.1) unstable; urgency=low

  * Ok, Robin says wxPython is good to go.
  * Since wx2.2 has crashed and burned with the new releases of
    python and png, Could package maintainers with packages that
    depend on wx please recompile with this package and let me
    know if they still need 2.2 in woody?   If not I'll have them
    removed.  There should be a 2.4 release following very soon.
    (hah, let's see how the date on that comment testifies!)
  * Yes, I know wxpython is missing man pages for some of its
    scripts.  File a bug if you must, but preferably, if you know
    what they do, attach a patch containing one.  I don't use them
    myself or could even do more than guess what they do today.
    Sorry, C++.

 -- Ron Lee <ron@debian.org>  Thu, 19 Sep 2002 16:25:12 -0700

wxwindows2.3 (2.3.3) unstable; urgency=low

  * The "If it sucks, You whined for it!" release.
  * It's also STILL our unstable branch, so I'll probably summarily
    close any bugs related to that fact.  Please report bugs in
    the code to wx-dev@lists.wxwindows.org (or the wx bug tracker on
    SourceForge) and not the debian BTS.  They'll get to the right
    people much faster that way.  Packaging bugs to the BTS per normal.
    Thanks!
    Closes: #155476, #155478
  * New dynamic library/object loading code.
  * Fixes several showstoppers from 2.3.2
  * wxPython now built with python2.2
  * Depend explicitly on libpng3-dev, hopefully that will stay the
    right thing a little longer.  Closes: #143439
  * Various wxPython issues all likely to be entirely different in 2.3
    Please reopen (and/or tell Robin :) if they aren't fixed.
    Closes: #153276, #124372, #146757, #148062, #146303
  * Broken package managers are not my problem, unless enough people
    think so to make it policy.  Autogenerated bugs for things like
    this suck too, just btw.  If you're going to autogenerate menial
    labor for people, at least autogenerate a patch to go along with
    it.  Closes: #130971, #130989, #130992

 -- Ron Lee <ron@debian.org>  Wed, 19 Dec 2001 15:41:31 -0800

wxwindows2.3 (2.3.2) unstable; urgency=low

  * Major Overhaul.  First serious release contender.

      Added .dll's to msw-cross packages.
      Added -dbg versions of the cross packages.
      Added experimental -univ(gtk) package.
      Switched to python 2.1

 -- Ron Lee <ron@debian.org>  Thu, 27 Sep 2001 05:55:07 -0700

wxwindows2.3 (2.3.1) unstable; urgency=low

  * 2.3.1 test debs -- still not QA'd for general release yet.

 -- Ron Lee <ron@debian.org>  Sun, 10 Jun 2001 20:10:36 -0700

wxwindows2.3 (2.3.0) unstable; urgency=low

  * Updated 2.2 build scripts for 2.3
  * initial test builds, please do not release..

 -- Ron Lee <ron@debian.org>  Sat, 27 Jan 2001 01:51:24 -0800

wxwindows2.2 (2.2.9.2) unstable; urgency=high

  * Fix wxPython gl bug.  Closes: #130758
  * Add versioned build dep on the -dev package too
    to help avoid the 'png fiasco' for packages built
    with wx.  (Thanks Joshua)  Closes: #131355

 -- Ron Lee <ron@debian.org>  Fri, 25 Jan 2002 03:11:28 -0800

wxwindows2.2 (2.2.9.1) unstable; urgency=high

  * recompile with libpng2..  oops.  Closes: #129762

 -- Ron Lee <ron@debian.org>  Mon, 21 Jan 2002 13:20:00 -0800

wxwindows2.2 (2.2.9) unstable; urgency=high

  * fix for arches with unsigned char as default.
  * high urgency because this fix really should get
    into woody.
    Closes: #127014

 -- Ron Lee <ron@debian.org>  Mon, 31 Dec 2001 06:53:27 -0800

wxwindows2.2 (2.2.8.5) unstable; urgency=low

  * Add wxSIZE_T_IS defines to setup.h
    Add automate that to my TODO list.

 -- Ron Lee <ron@debian.org>  Tue, 27 Nov 2001 05:55:47 -0800

wxwindows2.2 (2.2.8.4) unstable; urgency=low

  * Put the (modified) size_t == ulong kludge back into sndwav.cpp
    it's still needed until wxDataOutputStream is made 64 bit
    friendly, which may not happen for 2.2 since it will probably
    not be binary compatible.
  * caps a memory leak in the jpeg handler.

 -- Ron Lee <ron@debian.org>  Sun, 25 Nov 2001 11:53:59 -0800

wxwindows2.2 (2.2.8.3) unstable; urgency=low

  * Backported size_t test from 2.3 tree, removes the need for
    specific tests for various 64 bit platforms including now
    S/390 (thanks to Gerhard Tonn for the report).
    Closes: #120768

 -- Ron Lee <ron@debian.org>  Fri, 23 Nov 2001 20:53:49 -0800

wxwindows2.2 (2.2.8.2) unstable; urgency=low

  * python-dev doesn't get me python?  More bytes in Build-Dep then
    I guess ...  Closes: #119954

 -- Ron Lee <ron@debian.org>  Sun, 18 Nov 2001 04:28:41 -0800

wxwindows2.2 (2.2.8.1) unstable; urgency=low

  * Rebuild for python2.1  Closes: #119226, #118835

 -- Ron Lee <ron@debian.org>  Mon, 12 Nov 2001 21:47:38 -0800

wxwindows2.2 (2.2.8) unstable; urgency=medium

  * Fixed bogus samples makefile. Closes: #110061
  * Added ability to build wxMSW-cross packages, but they
    are not built and distributed by default.

      If you think such creatures belong in the archive,
      see README.Debian

  * Pruned more inapplicable files from the raw cvs source,
    cleaned configure.in and removed the need for a common setup.h,
    removed superfluous library links and generally tweaked things
    so as to make adding new ports easier.
  * added --gl-libs flag to wx-config.
  * added wx2.4 forward compatible event macros.
  * added build fixes for IA64 from Jeff Licquia, and fixed clean
    rules to pick up unnoticed strays that effected NMU builds.
    Thanks Jeff.  Closes: #101734, #104679  (fixed in NMU)
  * Medium urgency since several other packages are waiting
    for this to get into testing.

 -- Ron Lee <ron@debian.org>  Thu, 30 Aug 2001 15:41:49 -0700

wxwindows2.2 (2.2.7) unstable; urgency=medium

  * The "Testing Tarantella" release.
  * various small control (mis)behaviours corrected.
  * added missing build-dep for gettext.
  * updated wxPython description, Closes: #102689
  * Never publicly released, oh well.

 -- Ron Lee <ron@debian.org>  Sun, 10 Jun 2001 19:32:46 -0700

wxwindows2.2 (2.2.6.1) unstable; urgency=low

  * fix rules so it really doesn't build -indep for ports
    and fixed ambiguous overload bug in mmedia contrib.
    This time it will build on alpha for sure.  Really. :)
    Closes: #92288
  * added extra -dev package deps.  Closes: #91364

 -- Ron Lee <ron@debian.org>  Sat,  7 Apr 2001 06:49:58 -0700

wxwindows2.2 (2.2.6) unstable; urgency=low

  * changed i18n package back to building during arch phase
    so we can reap the .mo files as they are created. Closes: #86174
  * OBCBLR Closes: #84692
  * fix wxPython build gremlin.  Closes: #89209, #85129
  * tweaked wx-config alternatives priority to favour the most
    likely default use.
  * general buglet count reduced.

 -- Ron Lee <ron@debian.org>  Thu,  8 Mar 2001 21:10:07 -0800

wxwindows2.2 (2.2.5.1) unstable; urgency=low

  * "This One's for Dirk"  Closes: #84696
  * 2.2.5 has known issues and will not be released for Debian.
  * Fixed parser.y for Alpha builds (#82949)
  * changed mesa dependency to the virtual libgl package and
    added Conflicts for the old 2.1 packages (which are now
    gone from woody anyway)  Closes: #80120, #70778, #70779, #70780
  * wxPython now builds as a single unit (including contrib)
    so removed the libwxgtk-python-contrib package
  * updated translations
  * new event table macro to enable code being written with 2.2
    to be forward compatible with the changes in 2.4
  * numerous sundry bugfixes

 -- Ron Lee <ron@debian.org>  Wed, 24 Jan 2001 18:51:24 -0800

wxwindows2.2 (2.2.2) unstable; urgency=low

  * added missing dependancy for contrib-dev package.  Closes: #70880
  * by popular demand, added a package with the python-contrib libs.
  * more tweaks to deb/rules.  autodetect the python install location,
    and cache the results of configure tests for all packages.
  * and of course a whole stack of minor fixes in the main codebase too.

 -- Ron Lee <ron@debian.org>  Tue,  5 Sep 2000 18:51:24 +0930

wxwindows2.2 (2.2.1) unstable; urgency=low

  * wxWin 2.2.1 stable release.
  * First upload to deb.org after repackaging to build directly from
    upstream cvs.
  * still not quite lintian clean yet:
    - wxPython lib can't be built with a proper soname yet.
    - the -dbg packages need an override for the shlib symlink.
    - and a couple of packages have the lib symlink 'before the
      lib', but that's ugly to fix right now, they aren't critical
      libs, and allegedly this will be handled by dpkg sometime soon.
  * moved full licence text into copyright file.

 -- Ron Lee <ron@debian.org>  Sun, 13 Feb 2000 18:40:00 +1030

Local variables:
mode: debian-changelog
End:
